#!/bin/bash

java -Done-jar.main.class=edu.berkeley.cs.nlp.ocular.main.InitializeLanguageModel -mx12g -jar ocular-0.3-SNAPSHOT-with_dependencies.jar \
    -inputTextPath "english->texts/" \
    -outputLmPath lm/english-c19.lmser
java -Done-jar.main.class=edu.berkeley.cs.nlp.ocular.main.InitializeFont -mx12g -jar ocular-0.3-SNAPSHOT-with_dependencies.jar \
    -inputLmPath lm/english-c19.lmser \
    -outputFontPath font/jokes.fontser
java -Done-jar.main.class=edu.berkeley.cs.nlp.ocular.main.TrainFont -mx12g -jar ocular-0.3-SNAPSHOT-with_dependencies.jar \
    -inputFontPath font/jokes.fontser \
    -inputLmPath lm/english-c19.lmser \
    -inputDocPath sample_images/training/joke-1.png \
    -numDocs 10 \
    -outputFontPath font/trained.fontser \
    -outputPath train_output
java -Done-jar.main.class=edu.berkeley.cs.nlp.ocular.main.Transcribe -mx12g -jar ocular-0.3-SNAPSHOT-with_dependencies.jar \
    -inputDocPath sample_images/test \
    -inputLmPath lm/english-c19.lmser \
    -inputFontPath font/trained.fontser \
    -outputPath transcribe_output
